net.minecraft.world.gen

## Class NoiseGeneratorOctaves

- java.lang.Object
- - net.minecraft.world.gen.NoiseGenerator
  - - net.minecraft.world.gen.NoiseGeneratorOctaves

-     public class NoiseGeneratorOctaves
      extends NoiseGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoiseGeneratorOctaves(Random par1Random, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `generateNoiseOctaves(double[] par1ArrayOfDouble, int par2, int par3, int par4, int par5, double par6, double par8, double par10)` Bouncer function to the main one with some default arguments.
    `double[]` | `generateNoiseOctaves(double[] par1ArrayOfDouble, int par2, int par3, int par4, int par5, int par6, int par7, double par8, double par10, double par12)` pars:(par2,3,4=noiseOffset ; so that adjacent noise segments connect) (pars5,6,7=x,y,zArraySize),(pars8,10,12 = x,y,z noiseScale)

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoiseGeneratorOctaves

          public NoiseGeneratorOctaves(Random par1Random,
                               int par2)

  - ### Method Detail

    - #### generateNoiseOctaves

          public double[] generateNoiseOctaves(double[] par1ArrayOfDouble,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5,
                                      int par6,
                                      int par7,
                                      double par8,
                                      double par10,
                                      double par12)

      pars:(par2,3,4=noiseOffset ; so that adjacent noise segments connect) (pars5,6,7=x,y,zArraySize),(pars8,10,12 = x,y,z noiseScale)

    - #### generateNoiseOctaves

          public double[] generateNoiseOctaves(double[] par1ArrayOfDouble,
                                      int par2,
                                      int par3,
                                      int par4,
                                      int par5,
                                      double par6,
                                      double par8,
                                      double par10)

      Bouncer function to the main one with some default arguments.